fop 1.1

## org.apache.fop.pdf
Class PDFFilterException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.fop.pdf.PDFFilterException

All Implemented Interfaces:
  java.io.Serializable

    public class PDFFilterException

extends java.lang.Exception

PDF Filter exception. This is used for exceptions relating to use a PDF filter.

This work was authored by Eric Schaeffer.

See Also:
  Serialized Form

Constructor Summary
`PDFFilterException()` Create a basic filter exception.
`PDFFilterException(java.lang.String message)` Create a filter exception with a message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PDFFilterException

    public PDFFilterException()

  Create a basic filter exception.

### PDFFilterException

    public PDFFilterException(java.lang.String message)

  Create a filter exception with a message.

  Parameters:
    `message` - the error message

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.